package com.luojia_channel.modules.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.luojia_channel.modules.user.dto.UserChangeInfoDTO;
import com.luojia_channel.modules.user.vo.UserInfoVO;
import com.luojia_channel.modules.user.entity.User;
import org.springframework.web.multipart.MultipartFile;

public interface UserInfoService  extends IService<User> {

    void updateInfo(UserChangeInfoDTO userChangeInfoDTO);

    void updatePassword(String password);

    String uploadAvatar(MultipartFile file);
    
    /**
     * 获取用户信息
     * @param userId 用户ID，如果为null则获取当前登录用户信息
     * @return 用户信息DTO
     */
    UserInfoVO getUserInfo(Long userId);
}
